Delete a role
Delete an unassigned custom role. Send If-Match with the ETag from the latest role GET or write response. Protected or assigned roles cannot be deleted.
Path Parameters
- Type: stringFormat: uuidrole
Id required
Headers
- Type: stringIf
- Match min length:1requiredETag from a create or update response you already have, or from the latest GET when you have none.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for delete/external/v2/roles/{roleId}
curl https://sales-api.artemis.solar/external/v2/roles/123e4567-e89b-12d3-a456-426614174000 \
--request DELETE \
--header 'If-Match: "copy-the-etag-from-your-latest-get"' \
--header 'x-api-key: YOUR_SECRET_TOKEN'
No Body

